ELF_KIND(3)

NAME
elf_kind - Determine the type of file represented by an ELF descriptor.

SYNOPSIS
#include <libelf.h>
Elf_Kind elf_kind(Elf *elf);

DESCRIPTION
The elf_kind function determines the file type of the file represented by elf. This type identifies whether the descriptor represents an ELF object, an archive member, or some other type of file.

PARAMETERS

elf The ELF descriptor.

RETURN VALUE
The file type of the file represented by elf. The possible return value are

    ELF_K_NONE
        Unknown file type.
    ELF_K_AR
        Archive member.
    ELF_K_COFF
        COFF object file. COFF is not supported by elfutils libelf.
    ELF_K_ELF
        ELF object file.

SEE ALSO
ar(1), ranlib(1), libelf(3), elf(5)

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.